---
title: llarp/win32/windivert.hpp

---

# llarp/win32/windivert.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::win32](Namespaces/namespacellarp_1_1win32.md)**  |




## Source code

```cpp
#pragma once
#include <memory>
#include <windows.h>
#include <llarp/vpn/i_packet_io.hpp>

namespace llarp::win32
{
  std::shared_ptr<llarp::vpn::I_Packet_IO>
  WinDivert_new(std::string filter_spec, std::function<void(void)> wakeup);

}  // namespace llarp::win32
```


-------------------------------

Updated on 2022-09-04 at 23:28:52 +0000
